<?php
/*
 * @desc 北大医信HIS模拟类
 * @author wangxinghua
 * @final 2020-08-03
 */
class Bdyx
{
	//统一错误处理
	private function error_xml($msg)
	{
		return '<?xml version="1.0" encoding="utf8"?><root><result><info execute_flag="-1" execute_message="'.$msg.'"/></result></root>';
	}
	//网关方法
	public function founderRequestData($in)
	{
		$in = json_decode($in, true);
		$field = array('userName','password','businessType','requestData');
		foreach ($field as $v)
		{
			if(!isset($in[$v]))
			{
				return $this->error_xml('参数'.$v.'必须传');
			}
			if($in[$v] == '')
			{
				return $this->error_xml('参数'.$v.'不能为空');
			}
		}
		if($in['userName'] != '10002')
		{
			return $this->error_xml('参数userName不正确');
		}
		if($in['password'] != '123456')
		{
			return $this->error_xml('参数password不正确');
		}
		$function = $in['businessType'];

        $in['requestData'] = htmlspecialchars_decode($in['requestData']);
        $in['requestData'] = str_replace(array('gb2312', 'UTF-16'),array('utf8', 'utf8'),$in['requestData']);
		$requestData = simplexml_load_string($in['requestData']);

		if(!$requestData)
		{
			return $this->error_xml('参数requestData不是合法的xml');
		}
		//验证参数
		$data = (array)$requestData->commitdata->data;
		if(!is_array($data['datarow']))
		{
			$data['datarow'] = (array)$data['datarow'];
			foreach ($data['datarow']['@attributes'] as $k => $v)
			{
				if($v == "")
				{
					return $this->error_xml('参数'.$k.'不能为空');
				}
			}
		}
		else
		{
			foreach($data['datarow'] as $dr)
			{
				$drr = (array)$dr->attributes();
				foreach ($drr['@attributes'] as $k => $v)
				{
					if($v == "")
					{
						return $this->error_xml('参数'.$k.'不能为空');
					}
				}
			}
		}
		$info = (array)$requestData->operateinfo->info;
		foreach ($info['@attributes'] as $k => $v)
		{
			if($v == "")
			{
				return $this->error_xml('参数'.$k.'不能为空');
			}
		}

		//调用具体业务方法
		if(method_exists($this, $function))
			return $this->$function($in['requestData']);
		else
			return $this->error_xml('找不到'.$in['requestData'].'业务方法');

	}
	//患者信息
	private function YYT_QRY_PATI($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
   88: <root><commitdata><data><datarow hao_ming="06" code_value="131022198803185913" patient_name="" business_type="yyqh"/></data></commitdata><returndata><data><datarow patient_id="000745726900" name="王兴华" sex="1" sex_chn="男" birthday="1999-05-22T00:00:00" social_no="131022198803185913" marry_code_chn="其他" response_type="03" response_chn="自费医疗" charge_type="02" card_code="ID" card_no="000745726900" use_times="1" balance="0"/></data></returndata><operateinfo><info method="YYT_QRY_PATI" opt_id="zzj_test" opt_name="zzj_test" opt_ip="172.17.5.3" opt_date="2020-06-04" guid="1591253787532" token="AUTO-YYRMYY-20200604"/></operateinfo><result><info execute_flag="0" execute_message="执行成功" account="2020-06-04 14:55:19"/></result></root>';
		return $out;
	}
	//出诊科室
	private function YYT_QRY_CLINIC_DEPT($in)
	{
		$out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow start_date="20200723" end_date="20200723" gh_flag="1" class_code="%"/></data></commitdata><returndata><data><datarow class_code="0301" class_name="呼吸内科专业"><item unit_sn="4010701" unit_name="呼吸科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0302" class_name="消化内科专业"><item unit_sn="4010501" unit_name="脾胃病科一区门诊" dept_position="" yb_limit="0"/><item unit_sn="4010504" unit_name="肝胆胰中医特色门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0303" class_name="神经内科专业"><item unit_sn="4010609" unit_name="脑病科一区门诊" dept_position="" yb_limit="0"/><item unit_sn="4010610" unit_name="脑病科二区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0304" class_name="心血管内科专业"><item unit_sn="4010201" unit_name="心血管科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0305" class_name="血液内科专业"><item unit_sn="4010801" unit_name="血液、肿瘤科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0306" class_name="肾病学专业"><item unit_sn="4010406" unit_name="肾病内分泌科一区门诊" dept_position="" yb_limit="0"/><item unit_sn="4010407" unit_name="肾病内分泌科二区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0307" class_name="内分泌专业"><item unit_sn="4021100" unit_name="甲状腺病科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0310" class_name="老年病专业"><item unit_sn="4010901" unit_name="脑病科三区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0311" class_name="其他内科"><item unit_sn="4010301" unit_name="普通内科(内二科）" dept_position="" yb_limit="0"/></datarow><datarow class_code="0401" class_name="普通外科专业"><item unit_sn="4020901" unit_name="普外科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0403" class_name="骨科专业"><item unit_sn="4060001" unit_name="骨伤科门诊" dept_position="" yb_limit="0"/><item unit_sn="4060009" unit_name="骨伤科三区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0404" class_name="泌尿外科专业"><item unit_sn="4020301" unit_name="泌尿外科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0409" class_name="其他外科"><item unit_sn="4020201" unit_name="周围血管科门诊" dept_position="" yb_limit="0"/><item unit_sn="4020801" unit_name="乳腺科门诊" dept_position="" yb_limit="0"/><item unit_sn="4020903" unit_name="男科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="0501" class_name="妇科专业"><item unit_sn="4040001" unit_name="妇科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="10" class_name="眼科"><item unit_sn="4090001" unit_name="眼科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="11" class_name="耳鼻咽喉科"><item unit_sn="4100001" unit_name="耳鼻喉科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="1201" class_name="口腔科专业"><item unit_sn="4080009" unit_name="口腔治疗" dept_position="" yb_limit="0"/></datarow><datarow class_code="1204" class_name="口腔修复专业"><item unit_sn="4080006" unit_name="口腔镶牙" dept_position="" yb_limit="0"/></datarow><datarow class_code="1301" class_name="皮肤专业"><item unit_sn="4110001" unit_name="皮肤科门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="26" class_name="麻醉科"><item unit_sn="4030000" unit_name="麻醉科" dept_position="" yb_limit="0"/><item unit_sn="4030003" unit_name="麻醉科评估门诊" dept_position="" yb_limit="0"/><item unit_sn="4030004" unit_name="麻醉科疼痛门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="32" class_name="医学影像科"><item unit_sn="5010000" unit_name="放射科" dept_position="" yb_limit="0"/></datarow><datarow class_code="3204" class_name="核医学专业"><item unit_sn="5060000" unit_name="核医学科" dept_position="" yb_limit="0"/></datarow><datarow class_code="3205" class_name="超声诊断专业"><item unit_sn="5030002" unit_name="B超室" dept_position="" yb_limit="0"/></datarow><datarow class_code="3209" class_name="介入放射学专业"><item unit_sn="4010503" unit_name="胃镜室" dept_position="" yb_limit="0"/></datarow><datarow class_code="5011" class_name="肛肠科专业"><item unit_sn="4020401" unit_name="肛肠科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="5013" class_name="针灸科专业"><item unit_sn="4120001" unit_name="针灸科一区门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="5014" class_name="推拿科专业"><item unit_sn="4070001" unit_name="推拿科门诊" dept_position="" yb_limit="0"/><item unit_sn="4070005" unit_name="推拿疼痛门诊" dept_position="" yb_limit="0"/></datarow><datarow class_code="5015" class_name="康复医学专业"><item unit_sn="4150000" unit_name="康复科" dept_position="" yb_limit="0"/></datarow><datarow class_code="5018" class_name="其他中医科"><item unit_sn="G401302" unit_name="国际部综合门诊" dept_position="" yb_limit="0"/></datarow></data></returndata><operateinfo><info method="YYT_QRY_CLINIC_DEPT" opt_id="zzj_test" opt_name="zzj_test" opt_ip="172.17.5.3" opt_date="2020-07-23" guid="1595478577200" token="AUTO-YYRMYY-20200723"/></operateinfo><result><info execute_flag="0" execute_message="执行成功" account="2020-07-23 12:28:39"/></result></root>';
		return $out;
	}
	//号源排班
	private function YYT_QRY_REQUEST($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
   89: <root><commitdata><data><datarow unit_sn="4010701" group_sn="" doctor_py="" clinic_type="" start_date="2020-06-02" end_date="2020-06-08" gh_flag="2"/></data></commitdata><returndata><data><datarow count="0" record_sn="3608003" request_date="2020-06-02" ampm="a" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02651" doctor_name="罗慧" clinic_type="a2" clinic_name="副主任医师60元" req_type="04" req_name="" sum_fee="60.00" record_left="12" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608011" request_date="2020-06-03" ampm="a" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="03326" doctor_name="班承钧" clinic_type="a2" clinic_name="副主任医师60元" req_type="04" req_name="" sum_fee="60.00" record_left="5" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608027" request_date="2020-06-05" ampm="a" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02247" doctor_name="周绍忠" clinic_type="a2" clinic_name="副主任医师60元" req_type="04" req_name="" sum_fee="60.00" record_left="12" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608005" request_date="2020-06-02" ampm="p" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="03155" doctor_name="程淼" clinic_type="a2" clinic_name="副主任医师60元" req_type="04" req_name="" sum_fee="60.00" record_left="12" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608029" request_date="2020-06-05" ampm="p" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="03031" doctor_name="吴华阳" clinic_type="a2" clinic_name="副主任医师60元" req_type="04" req_name="" sum_fee="60.00" record_left="10" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608021" request_date="2020-06-04" ampm="p" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02646" doctor_name="李杰" clinic_type="a3" clinic_name="主任医师80元" req_type="04" req_name="" sum_fee="80.00" record_left="12" show_type_name="门诊号" emp_title="副主任医师" open_flag="1"/><datarow count="0" record_sn="3608019" request_date="2020-06-04" ampm="a" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="03026" doctor_name="于维霞" clinic_type="a4" clinic_name="知名专家100元" req_type="04" req_name="" sum_fee="100.00" record_left="7" show_type_name="门诊号" emp_title="主任医师" open_flag="1"/><datarow count="0" record_sn="3608042" request_date="2020-06-08" ampm="a" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02342" doctor_name="任传云" clinic_type="a4" clinic_name="知名专家100元" req_type="04" req_name="" sum_fee="100.00" record_left="9" show_type_name="门诊号" emp_title="主任医师" open_flag="1"/><datarow count="0" record_sn="3608013" request_date="2020-06-03" ampm="p" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02990" doctor_name="张立山" clinic_type="a4" clinic_name="知名专家100元" req_type="04" req_name="" sum_fee="100.00" record_left="0" show_type_name="门诊号" emp_title="主任医师" open_flag="1"/><datarow count="0" record_sn="3608044" request_date="2020-06-08" ampm="p" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02576" doctor_name="关秋红" clinic_type="a4" clinic_name="知名专家100元" req_type="04" req_name="" sum_fee="100.00" record_left="11" show_type_name="门诊号" emp_title="主任医师" open_flag="1"/></data></returndata><operateinfo><info method="YYT_QRY_REQUEST" opt_id="zzj_test" opt_name="zzj_test" opt_ip="0.0.0.0" opt_date="2020-06-01" guid="1591010991971" token="AUTO-YYRMYY-20200601"/></operateinfo><result><info execute_flag="0" execute_message="执行成功" account="2020-06-01 19:28:42"/></result></root>';
		return $out;
	}
	//挂号划价
	private function YYT_GH_CALC($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow record_sn="505879" patient_id="000000012300" card_code="06" card_no="131022198803185913" req_type="" gh_flag="2"/></data></commitdata><returndata><data><datarow patient_id="000000012300" charge_total="50" cash="50" zhzf="0" tczf="0" pay_seq="505879_2"/></data></returndata><operateinfo><info method="YYT_GH_CALC" opt_id="zzj_test" opt_name="zzj_test" opt_ip="172.17.5.3" opt_date="2020-07-23" guid="1595487385634" token="AUTO-YYRMYY-2020-07-23"/></operateinfo><result><info execute_flag="0" execute_message="挂号划价成功!" account="2020-07-23 14:55:30"/></result></root>';
		return $out;
	}
	//预约、挂号保存
	private function YYT_GH_SAVE($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow record_sn="505879" pay_seq="505879_2" responce_type="03" patient_id="000000012300" card_code="06" card_no="131022198803185913" charge_total="50" cash="50" zhzf="0" tczf="0" record_id="" gh_sequence="" bk_card_no="" trade_no="4200000575202007239922778501" stream_no="hos057wxpay20200723145630696549" addition_no1="" trade_time="2020-07-23" cheque_type="w" gh_flag="2" bank_type="" req_type="06" times="3068"/></data></commitdata><returndata><data row_count="1"><datarow patient_id="000000012300" times="3068" flag="1" patient_name="测试" sex="男" age="32岁" unit_name="门诊办" group_name="" emp_name="" clinic_name="新冠核酸检测号" req_name="网站预约" req_date="2020-07-23" response_type="自费医疗" enter_opera="zzj02" enter_date="2020-07-23T14:55:55" cheque_type="微信" gh_date="2020-07-23" sequence_no="2" ampm="下午" receipt_sn="19954869" total_fee="50.00" fee_yb="0.00" fee_zf="50.00" fee_df="0.00" fee_zhzf="0.00" outpatient_no="123456" suggest_time="13:00 - 16:30" visit_dept="2070100" req_type="06" location_info="门诊办(平房)" fz=""/></data></returndata><operateinfo><info method="YYT_GH_SAVE" opt_id="zzj02" opt_name="zzj02" opt_ip="172.17.5.3" opt_date="2020-07-23" guid="hos057wxpay20200723145630696549" token="AUTO-YYRMYY-2020-07-23"/></operateinfo><result><info execute_flag="0" execute_message="执行成功" account="2020-07-23 14:55:58"/></result></root>';
		return $out;
	}
	//预约登记
	private function YYT_APP_REG($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow record_sn="3622792" req_type="04" gh_sequence="" patient_id="000732087100" name="王兴华" social_no="131022198803185913" card_code="09" card_no="113006536000" mobile="" register_sn="%"/></data></commitdata><returndata><data><datarow count="1" patient_id="000732087100" register_sn="1549896" request_date="2020-06-23T00:00:00" req_type="04" req_name="复诊预约号" unit_sn="4010701" unit_name="呼吸科一区门诊" doctor_sn="02646" doctor_name="李杰" ampm="p" clinic_type="a3" clinic_name="主任医师80元" record_sn="" gh_sequence="1" record_id="" charge="" register_flag="0" cur_times="0" resupply_fee_flag=""/></data></returndata><operateinfo><info method="YYT_APP_REG" opt_id="zzj_test" opt_name="zzj_test" opt_ip="172.17.5.3" opt_date="2020-06-16" guid="1592294784882" token="AUTO-YYRMYY-2020-06-16"/></operateinfo><result><info execute_flag="0" execute_message="预约成功!" account="2020-06-16 16:04:19"/></result></root>';
		return $out;
	}
	//预约记录
	private function YYT_QRY_APP($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow patient_id="000154831000" card_code="09" card_no="113006536000"/></data></commitdata><returndata><data><datarow count="1" patient_id="000154831000" register_sn="1511992" request_date="2020-05-28" req_type="04" req_name="" unit_sn="4110001" unit_name="皮肤科门诊" doctor_sn="02749" doctor_name="屈双擎" ampm="p" clinic_type="a2" clinic_name="副主任医师60元" record_sn="" gh_sequence="21" record_id="" charge="60.00" register_flag="0" cur_times="257" resupply_fee_flag=""/></data></returndata><operateinfo><info method="YYT_QRY_APP" opt_id="zzj_test" opt_name="zzj_test" opt_ip="172.17.5.3" opt_date="2020-05-28" guid="1590660448650" token="AUTO-YYRMYY-20200528"/></operateinfo><result><info execute_flag="0" execute_message="执行成功" account="2020-05-28 18:06:18"/></result></root>';
		return $out;
	}
	//待缴费记录
	private function YYT_QRY_ORDER($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata/><returndata><data patient_id="000699690400" pay_seq="0" count="11" charge_total="437.255" cash="437.255" zhzf="0" tczf="0" yb_limit_flag="0"><datarow patient_id="000699690400" times="6" order_no="1" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" row_count="11" order_charge="437.255" req_class="门诊颗粒剂药房（急诊勿用）"><sub patient_id="000699690400" times="6" order_no="1" item_name="" order_charge="437.2550" req_class="门诊颗粒剂药房（急诊勿用）"><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_7" item_code="007566" item_name="" item_spec="/g" amount="280.00" prices="0.1200" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="33.60" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M玄参" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_8" item_code="007574" item_name="" item_spec="/g" amount="420.00" prices="0.1700" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="71.40" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M当归*" yb_flag="③" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_5" item_code="007577" item_name="" item_spec="/g" amount="140.00" prices="0.4200" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="58.80" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M炙甘草" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_4" item_code="007594" item_name="" item_spec="/g" amount="210.00" prices="0.0625" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="13.13" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M白芍" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_6" item_code="007638" item_name="" item_spec="/g" amount="420.00" prices="0.0575" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="24.15" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M鸡血藤" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_2" item_code="007586" item_name="" item_spec="/g" amount="210.00" prices="0.1000" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="21.00" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M黄芩" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_10" item_code="007580" item_name="" item_spec="/g" amount="420.00" prices="0.2250" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="94.50" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M山药*" yb_flag="③" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_3" item_code="007676" item_name="" item_spec="/g" amount="168.00" prices="0.0725" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="12.18" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M麸炒枳实" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_11" item_code="007587" item_name="" item_spec="/g" amount="140.00" prices="0.1900" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="26.60" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M酒黄精" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_1" item_code="007650" item_name="" item_spec="/g" amount="140.00" prices="0.2550" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="35.70" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M北柴胡" yb_flag="①" apply_unit="4010301" doctor_code="02238"/><item patient_id="000699690400" times="6" clinic_cost_item_no="6_05_1_9" item_code="007572" item_name="" item_spec="/g" amount="420.00" prices="0.1100" units="g" ordered_by="普通内科(内二科）" ordered_doctor="梁腾霄" costs="46.20" charge="0.00" req_class="门诊颗粒剂药房（急诊勿用）" pay_seq="0" pay_cash="0.00" performed_by="6000000" order_no="1" caoyao_fu="14" order_date="2020-06-09 " record_sn="022382020-06-09 " pay_type="1" charge_no="0" detail_name="M生地黄" yb_flag="①" apply_unit="4010301" doctor_code="02238"/></sub></datarow></data></returndata><operateinfo><info method="YYT_QRY_ORDER" opt_id="" opt_name="zzj02" opt_ip="" opt_date="2020-06-09 16:20:14" guid="" token=""/></operateinfo><result><info execute_flag="0" execute_message="查询处方信息成功!" account="2020-06-09 16:20:14"/></result></root>';
		return $out;
	}
	//缴费划价
	private function YYT_SF_CALC($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
            <root><commitdata><data>
            <datarow patient_id="000454721700" card_code="09" card_no="112054790009" query_type="2" times="5" start_date="2020-06-10" end_date="2020-06-10" pay_seq="0" times_order_no="5|2;5|3;"/>
            </data></commitdata><returndata><data><datarow patient_id="000454721700" charge_total="175.78" cash="52.73" zhzf="0" tczf="123.05" pay_seq="25381"/></data></returndata><operateinfo><info method="YYT_YB_SF_CALC" opt_id="zzj401" opt_name="zzj401" opt_ip="80000001" opt_date="2020-06-10" guid="{1591759477}" token="AUTO-YYRMYY-2020-06-10"/></operateinfo><result><info execute_flag="0" execute_message="操作成功!" account="2020-06-10 11:24:44"/></result></root>';
		return $out;
	}
	//缴费保存
	private function YYT_SF_SAVE($in)
	{
		$Out = '<?xml version="1.0" encoding="gb2312"?>
<root><commitdata><data><datarow pay_seq="25381" patient_id="000454721700" card_code="20" card_no="112054790009" responce_type="" times="5" charge_total="175.78" cash="52.73" zhzf="0" tczf="123.05" bk_card_no="" trade_no="4200000540202006105546047709" times_order_no="5|2;5|3;" stream_no="zzj401wx20200610112447951" addition_no1="" trade_time="2020-06-10" cheque_type="w" yb_flag="0" start_date="2020-06-10" end_date="2020-06-10" bank_type="" query_type="1" ledger_sn="9"/></data></commitdata><returndata><data row_count="15" charge_total="175.78" balance="" trade_no="4200000540202006105546047709" trade_date="2020-06-10 00:00:00.000" stream_no="zzj401wx20200610112447951" cash="52.73" ybjj="123.05" zhzf="0" cheque_type="w" cheque_name="微信"><datarow patient_id="000454721700" patient_name="苏皖" times="5" bill_name="治疗费" apply_name="耳鼻喉科门诊" order_charge="4.00" ledger_sn="9" receipt_sn="29895331" comment="治疗费"><item charge_name="① 耳鼻喉综合治疗台(进口)" specification="人次" charge_price="4.0000" charge_amount="1" bill_name="治疗费" bill_code="011"/></datarow><datarow patient_id="000454721700" patient_name="苏皖" times="5" bill_name="颗粒剂费" apply_name="耳鼻喉科门诊" order_charge="171.78" ledger_sn="9" receipt_sn="29895331" comment="颗粒剂费"><item charge_name="① M北柴胡" specification="/g" charge_price="0.2600" charge_amount="63" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M炙香附" specification="/g" charge_price="0.0700" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M川芎" specification="/g" charge_price="0.1800" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M石菖蒲" specification="/g" charge_price="0.0700" charge_amount="84" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M郁金" specification="/g" charge_price="0.3000" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M路路通" specification="/g" charge_price="0.1500" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="② M菊花*" specification="/g" charge_price="0.0700" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M穿山龙" specification="/g" charge_price="0.0600" charge_amount="105" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M辛夷" specification="/g" charge_price="0.0900" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M防风" specification="/g" charge_price="0.3000" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M炒牛蒡子" specification="/g" charge_price="0.0600" charge_amount="105" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M丹参" specification="/g" charge_price="0.1100" charge_amount="210" bill_name="颗粒剂费" bill_code="021"/><item charge_name="① M泽泻" specification="/g" charge_price="0.1400" charge_amount="70" bill_name="颗粒剂费" bill_code="021"/><item charge_name="② M茯苓*" specification="/g" charge_price="0.2300" charge_amount="105" bill_name="颗粒剂费" bill_code="021"/></datarow></data></returndata><operateinfo><info method="YYT_SF_SAVE" opt_id="zzj02" opt_name="zzj02" opt_ip="800000001" opt_date="2020-06-10" guid="zzj401wx20200610112447951" token="AUTO-YYRMYY-2020-06-10"/></operateinfo><result><info execute_flag="0" execute_message="收费成功" account="2020-06-10 11:25:10"/></result></root>';
		return $out;
	}
}